/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AlamatDto {

	@NotNull(message = "alamat.kdjenisalamat.notnull")
	private Integer kdJenisAlamat;

	@NotNull(message = "alamat.alamatlengkap.notnull")
	private String alamatLengkap;

	private Integer kdDesaKelurahan;
	
	private String rTRW;

	private Integer kdKecamatan;

	private Integer kdKotaKabupaten;

	private Integer kdPropinsi;
	
	@NotNull(message = "alamat.kdNegara.notnull")
	private Integer kdNegara;

	private String kodePos;

	private String fixedPhone1;

	private String mobilePhone1;

	private String faksimile1;

	private String alamatEmail;

	private String website;

	private String keteranganLainnya;



}
